GNU bug report logs - #54906
[PATCH] build: go-build-system: Add support for #:skip-build? #t.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Attila Lendvai <attila@HIDDEN>; Keywords: patch; dated Wed, 13 Apr 2022 12:03:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 54906 <at> debbugs.gnu.org:


Received: (at 54906) by debbugs.gnu.org; 28 Apr 2022 12:14:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 08:14:38 2022
Received: from localhost ([127.0.0.1]:45703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nk32c-00070V-HB
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2022 08:14:38 -0400
Received: from mail-4317.proton.ch ([185.70.43.17]:55207)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <attila@HIDDEN>) id 1nk32Z-00070E-C2
 for 54906 <at> debbugs.gnu.org; Thu, 28 Apr 2022 08:14:37 -0400
Date: Thu, 28 Apr 2022 12:14:18 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lendvai.name;
 s=protonmail3; t=1651148068;
 bh=y0O1VLzNV6ELUjo8R6mOOKogg9byUjHDRj+JTdacKPc=;
 h=Date:To:From:Cc:Reply-To:Subject:Message-ID:In-Reply-To:
 References:Feedback-ID:From:To:Cc:Date:Subject:Reply-To:
 Feedback-ID:Message-ID;
 b=UGFNH386zNg5SZFg2sLE4R37FcKu4GKXe7A7fRHoXgdDwvXBum7jwjyObuBmJ/Qng
 2tkhxudOoMb1wHOGkICkLkd7TvvmoTJlrmznlc0PivUWYMQ4PTZfuVxUrDGLO1qLsp
 4hvV+31ODALJPt61DPl8QXe60XuoOYhnZzuR8nQuHixa1tXlrqbKXLsto6qGjxJtH0
 6EzYnc7IZO0xVYFTNaPK03+iiBosg8hSOJZ/Juf23uWgEjcMucRYOsyskaX6hxFYzD
 fhljeSpESTmMkZhegr8GD6nHkqUd1NTW1c+4uUkP8LoXa/MOeYp/RtzBE4Gr2YeMzn
 KWAVw652T0HGQ==
To: Maxime Devos <maximedevos@HIDDEN>
From: Attila Lendvai <attila@HIDDEN>
Subject: Re: [bug#54906] [PATCH] build: go-build-system: Add support for
 #:skip-build? #t.
Message-ID: <3D-9L8EDNEWZf3igXJF7tggNU1dw8wj5nUKGHbiHtcWciiKmwAP5QdazadE4OYLDYgzvPeOOehdi7fnc4ktx7f3KmR3N76ukjSopOc-hkS4=@lendvai.name>
In-Reply-To: <2011a56256b561e89fcecc3febdc8dbc2bf7beae.camel@HIDDEN>
References: <20220413120052.25602-1-attila@HIDDEN>
 <e375a336cf2622663357ea3e8c37e236133eb846.camel@HIDDEN>
 <gbg-UILYI0h6xq8as2NN44n3kwhNDtu1kzG-UhEYKIYSQgUgy8ZcIqGIDLbd4-qGbota7T5SO8AH_uLIcLyX5VQ6h6URaTRhfTcuycVTpeo=@lendvai.name>
 <2011a56256b561e89fcecc3febdc8dbc2bf7beae.camel@HIDDEN>
Feedback-ID: 28384833:user:proton
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54906
Cc: 54906 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Attila Lendvai <attila@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> > if there is SKIP-BUILD?, then i can just set it to false in the
> > importer for all the dependencies, and only flip it to true for the
> > leaf packages that i'm actualy trying to build.
>
>
> Except for long build times due to not reusing build results, I don't
> follow: if dependency X doesn't build, doesn't that imply that
> dependent Y won't build either? Conversely, if dependent Y builds,
> doesn't that imply that the dependents can also be built by
> theirselves?


i'm afraid i'm stepping beyond my level of knowledge here... but i
think this may not be true for golang.

and AFAIU, the current GO-BUILD-SYSTEM doesn't reuse any build
artifacts. it only arranges the sources of the dependencies in a way
that the invoked `go build ...` can find them.


> To be clear, my comment was more about the wording (feature / work-
> around / ...) than about the addition of #:skip-build?.


thanks for clarifying that!

--
=E2=80=A2 attila lendvai
=E2=80=A2 PGP: 963F 5D5F 45C7 DFCD 0A39
--
=E2=80=9CMost economic fallacies derive=E2=80=A6 from the tendency to assum=
e that there is a fixed pie, that one party can gain only at the expense of=
 another.=E2=80=9D
=09=E2=80=94 Milton Friedman (1912=E2=80=932006)





Information forwarded to guix-patches@HIDDEN:
bug#54906; Package guix-patches. Full text available.

Message received at 54906 <at> debbugs.gnu.org:


Received: (at 54906) by debbugs.gnu.org; 28 Apr 2022 11:35:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 07:35:22 2022
Received: from localhost ([127.0.0.1]:45614 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nk2Qc-0001Zp-Ja
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2022 07:35:22 -0400
Received: from albert.telenet-ops.be ([195.130.137.90]:49020)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nk2Qa-0001Ze-73
 for 54906 <at> debbugs.gnu.org; Thu, 28 Apr 2022 07:35:21 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by albert.telenet-ops.be with bizsmtp
 id QBbJ2700A4UW6Th06BbJlw; Thu, 28 Apr 2022 13:35:18 +0200
Message-ID: <2011a56256b561e89fcecc3febdc8dbc2bf7beae.camel@HIDDEN>
Subject: Re: [bug#54906] [PATCH] build: go-build-system: Add support for
 #:skip-build? #t.
From: Maxime Devos <maximedevos@HIDDEN>
To: Attila Lendvai <attila@HIDDEN>
Date: Thu, 28 Apr 2022 13:35:12 +0200
In-Reply-To: <gbg-UILYI0h6xq8as2NN44n3kwhNDtu1kzG-UhEYKIYSQgUgy8ZcIqGIDLbd4-qGbota7T5SO8AH_uLIcLyX5VQ6h6URaTRhfTcuycVTpeo=@lendvai.name>
References: <20220413120052.25602-1-attila@HIDDEN>
 <e375a336cf2622663357ea3e8c37e236133eb846.camel@HIDDEN>
 <gbg-UILYI0h6xq8as2NN44n3kwhNDtu1kzG-UhEYKIYSQgUgy8ZcIqGIDLbd4-qGbota7T5SO8AH_uLIcLyX5VQ6h6URaTRhfTcuycVTpeo=@lendvai.name>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-O7hX5wooCsFHybiY7y01"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1651145718; bh=xEmj/nqHXOFiLOY7nCrIvMfWXo5qPPJFFDWm1tfn8QI=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=U8fMJ13AvaBTW/YU9jU1sTi0vt6PKspmyDT5GBMVur4V5QAEY/Xl/x6DRK3zyAyJJ
 re3a8D7FAGTjHQ3zwFQzuRk5AhwX0SJrw31lrrT0g1wxkbNuep43x6Yrtlk3/Q+gPd
 J7zfR6DVNYK1qQWLCXCKrK3TLzl32QxePck4/8jh49uy1Uk/IzWLajfm2cXmPzsvTt
 ENXh8mTB5ZNYOSqWAUiUCcbRXYhJRyyEL98fXsoXQ3nlTTptQR0yXdzwWa48N5LLhu
 Mlb7zhy2rw2DDXfgLSkiC07J5u3KWVcnBJRL+BEkL77I5mAqMhZne+/4Cp+0PFnwVf
 bIEKNAxTMeVrw==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54906
Cc: 54906 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-O7hX5wooCsFHybiY7y01
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Attila Lendvai schreef op do 28-04-2022 om 10:56 [+0000]:
> in the current setup, i.e. without SKIP-BUILD?, if i want to import an
> app with 100+ dependencies, then i need to make sure that all those
> 100+ dependencies build fine by themselves. this is substantially more
> work.
>=20
> if there is SKIP-BUILD?, then i can just set it to false in the
> importer for all the dependencies, and only flip it to true for the
> leaf packages that i'm actualy trying to build.

Except for long build times due to not reusing build results, I don't
follow: if dependency X doesn't build, doesn't that imply that
dependent Y won't build either?  Conversely, if dependent Y builds,
doesn't that imply that the dependents can also be built by
theirselves?

> it seems to me that i should just remove the SKIP-BUILD? assumption
> from the go importer for now, and file my commits against vanilla
> master.
>=20
> i'll proceed with that.

To be clear, my comment was more about the wording (feature / work-
around / ...) than about the addition of #:skip-build?.

Greetings,
Maxime.

--=-O7hX5wooCsFHybiY7y01
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYmp78BccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7omsAQDqW5pj5KoxAY7vKUdk5CTowYUG
ccneEGUlG5JkiwCIHAD/d2oTZbWKFQdntvdpszJz5gFRwnF6rnRHVBb9k8o9qA8=
=nhug
-----END PGP SIGNATURE-----

--=-O7hX5wooCsFHybiY7y01--





Information forwarded to guix-patches@HIDDEN:
bug#54906; Package guix-patches. Full text available.

Message received at 54906 <at> debbugs.gnu.org:


Received: (at 54906) by debbugs.gnu.org; 28 Apr 2022 10:56:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 06:56:39 2022
Received: from localhost ([127.0.0.1]:45557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nk1p8-0002Tt-OQ
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2022 06:56:38 -0400
Received: from mail-4317.proton.ch ([185.70.43.17]:41344)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <attila@HIDDEN>) id 1nk1p5-0002Te-Hf
 for 54906 <at> debbugs.gnu.org; Thu, 28 Apr 2022 06:56:37 -0400
Date: Thu, 28 Apr 2022 10:56:20 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lendvai.name;
 s=protonmail3; t=1651143388;
 bh=S48pIrYIUWFxZ8oQCo5+snvHoqcLEh1cO7iUupX74mQ=;
 h=Date:To:From:Cc:Reply-To:Subject:Message-ID:In-Reply-To:
 References:Feedback-ID:From:To:Cc:Date:Subject:Reply-To:
 Feedback-ID:Message-ID;
 b=i8V5OiaTvJzdRViAwFq9zCef8xYwsG7R0RZuuE96lbMdY55vmP0T9grG9A0NfXALT
 6/4o34Ktm9yrK1+lyOStZLMN0OAJOEf7qFqQf62Fk7/jX08AVHD21zPAoKSkWRObtO
 Ijv8VYUh28XB/e7jU+tVu59H0d8otSOg51vlGXFE48AsWxVho7K7nQ0nrn978qV3Ds
 kaxLP9pMbkxBbaGZ1FuhNf7TZi/GaLvG8Rq28BzW+PoE6sLmCwUbDQknBiTEk0yjA5
 5h3EckktuUrd8rn5NqHgI4krMjbBJc8S9KbyO/S3JFz714bzMACHnD/6FlDqMEBvXe
 UmXjMtSLvdN5g==
To: Maxime Devos <maximedevos@HIDDEN>
From: Attila Lendvai <attila@HIDDEN>
Subject: Re: [bug#54906] [PATCH] build: go-build-system: Add support for
 #:skip-build? #t.
Message-ID: <gbg-UILYI0h6xq8as2NN44n3kwhNDtu1kzG-UhEYKIYSQgUgy8ZcIqGIDLbd4-qGbota7T5SO8AH_uLIcLyX5VQ6h6URaTRhfTcuycVTpeo=@lendvai.name>
In-Reply-To: <e375a336cf2622663357ea3e8c37e236133eb846.camel@HIDDEN>
References: <20220413120052.25602-1-attila@HIDDEN>
 <e375a336cf2622663357ea3e8c37e236133eb846.camel@HIDDEN>
Feedback-ID: 28384833:user:proton
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54906
Cc: 54906 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Attila Lendvai <attila@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> The new WIP antioxidant-build-system (intended to replace cargo-build-
> system) will not have #:skip-build?, because the new build system
> actually reuses the build results off the dependents.
>
> Likewise, maybe long-term someone will figure out how to do something
> similar for go -- e.g.,
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D32919#5 mentions a =
=E2=80=98go
> build cache=E2=80=99.
>
> So it seems more of a work-around than a feature to me.


i lack here the necessary resolution from the bird's eye view
perspective, so let me describe the actual ache that i'm trying to
resolve with this:

currently, the GO-BUILD-SYSTEM does not reuse build artifacts of the
dependencies, only includes them as source.

in the current setup, i.e. without SKIP-BUILD?, if i want to import an
app with 100+ dependencies, then i need to make sure that all those
100+ dependencies build fine by themselves. this is substantially more
work.

if there is SKIP-BUILD?, then i can just set it to false in the
importer for all the dependencies, and only flip it to true for the
leaf packages that i'm actualy trying to build.

it seems to me that i should just remove the SKIP-BUILD? assumption
from the go importer for now, and file my commits against vanilla
master.

i'll proceed with that.

thanks for the feedback!

--
=E2=80=A2 attila lendvai
=E2=80=A2 PGP: 963F 5D5F 45C7 DFCD 0A39
--
=E2=80=9CPeople do not seem to realize that their opinion of the world is a=
lso a confession of character.=E2=80=9D
=09=E2=80=94 Ralph Waldo Emerson (1803=E2=80=931882)





Information forwarded to guix-patches@HIDDEN:
bug#54906; Package guix-patches. Full text available.

Message received at 54906 <at> debbugs.gnu.org:


Received: (at 54906) by debbugs.gnu.org; 27 Apr 2022 19:22:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 15:22:20 2022
Received: from localhost ([127.0.0.1]:44446 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njnEy-0008PY-8x
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2022 15:22:20 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:48150)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1njnEw-0008PO-12
 for 54906 <at> debbugs.gnu.org; Wed, 27 Apr 2022 15:22:18 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by baptiste.telenet-ops.be with bizsmtp
 id PvNF2700T4UW6Th01vNF5t; Wed, 27 Apr 2022 21:22:16 +0200
Message-ID: <e375a336cf2622663357ea3e8c37e236133eb846.camel@HIDDEN>
Subject: Re: [bug#54906] [PATCH] build: go-build-system: Add support for
 #:skip-build? #t.
From: Maxime Devos <maximedevos@HIDDEN>
To: Attila Lendvai <attila@HIDDEN>, 54906 <at> debbugs.gnu.org
Date: Wed, 27 Apr 2022 21:22:08 +0200
In-Reply-To: <20220413120052.25602-1-attila@HIDDEN>
References: <20220413120052.25602-1-attila@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-fnDclBHU/2uTwEXFMa3m"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1651087336; bh=5OLJrI8naw4ppcfNokz6KOjOoU3A7ZJRlNG6hkd1SXQ=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=QJfzk7r4HgJT9+WduwMf1UIfEykfC79dynmRxHfYb2iOVuFa3/F3phd4xgG1VHqFA
 Ror5xMuJYmIvAT+c60fJkh1N7UlsSG/sFrjWYq5yELS9VCinEp08+iD6wbMBobLk7X
 WWNUJPDxnvq/9GEa/r6rOKVT60PGAwCXeJGRXn/jvdGT2niXJznT/xCtim+AgqsHvO
 LVbcHUzzHMSrP1PckvAFsUQy9vOvBafzA7P1ES3FKz3Ud3VgXeCcwOhLwqg185RCPD
 EFbPpPTJ7WfSnnATEju8ViwZqIRdGp/UyIZRZGN2OQwWPvi5S8PuJ6Kk3xgEdfnrLj
 WSpz60cDjUAJA==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54906
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-fnDclBHU/2uTwEXFMa3m
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Attila Lendvai schreef op wo 13-04-2022 om 14:00 [+0200]:
> This mimics the same feature of the cargo-build-system.
>=20
> * guix/build-system/go.scm (go-build): Add skip-build? keyword param and
> propagate it.
> * guix/build/go-build-system.scm (build): Add skip-build? keyword param.

The new WIP antioxidant-build-system (intended to replace cargo-build-
system) will not have #:skip-build?, because the new build system
actually reuses the build results off the dependents.

Likewise, maybe long-term someone will figure out how to do something
similar for go -- e.g.,
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D32919#5 mentions a =E2=80=
=98go
build cache=E2=80=99.

So it seems more of a work-around than a feature to me.

Maybe after building, the new cache entries could be copied to an
output, and before building, the cache could be populated by old cache
entries from dependents?  That would allow for only having to compile
the dependencies only once, reusing them for all dependents.

Greetings,
Maxime

--=-fnDclBHU/2uTwEXFMa3m
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYmmX4BccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7vrGAP9GhZwie4hn1tgJsdAM7VtDWsRi
Ar9dQTNqTlSWxSLN6gD/a+Y2p3/KhN1DXZqfRfyDr63wFSQGVEZYai8/WqoXoQU=
=Smdh
-----END PGP SIGNATURE-----

--=-fnDclBHU/2uTwEXFMa3m--





Information forwarded to guix-patches@HIDDEN:
bug#54906; Package guix-patches. Full text available.

Message received at 54906 <at> debbugs.gnu.org:


Received: (at 54906) by debbugs.gnu.org; 27 Apr 2022 17:42:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 13:42:10 2022
Received: from localhost ([127.0.0.1]:44280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njlg2-00015p-KL
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2022 13:42:10 -0400
Received: from mail-qv1-f50.google.com ([209.85.219.50]:36426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1njlg1-00015c-Ns
 for 54906 <at> debbugs.gnu.org; Wed, 27 Apr 2022 13:42:09 -0400
Received: by mail-qv1-f50.google.com with SMTP id q13so1569137qvk.3
 for <54906 <at> debbugs.gnu.org>; Wed, 27 Apr 2022 10:42:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=29WJjFMuNYdyhr4nKGhQ3mL/z/4JKWd1ZNRIrfHhFdY=;
 b=b84h+HBt+rl/gu6M0wX8hnCZqK7XgMbC1E/atpLB8vjC3yph+HyFUdb4e1LC4IN2QD
 t+DdX+0zFTNAQlyiy4/qBLTg2uWAepaGXBUYw9+teoiZ6YfTKN+col3TvC+6VZz5+OnQ
 SxI4jlxzJv2GvcYo5cKT8sNsPR6/iVMkIHFiEJ8koNfQNjCVCQKyTZ4czcauaLgoBz03
 HLRVpLszd8dz258spBfme1ydvfOAKPApP79pVrOi1369Ibtn3Tppb4me53Z5JMdPfYI5
 02OasiGpfBnlRB+4+yFSfTIaFo/Fbg+Kt6yTL41b5XVZ19ewQbwAJUT8utRk+ZwOQ4tj
 Qwuw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=29WJjFMuNYdyhr4nKGhQ3mL/z/4JKWd1ZNRIrfHhFdY=;
 b=W/vJLJuKmpfp5nu9qgkP6OL1uYI7BkzHcTELwjQuOfIjRTzCuYw9nENaVUqhvsQqqD
 iygTx4PA+7wdnivCuLvlc54FbHoNuCYL1UgWKconAeB4ngJKA0uRHCjgmP2LgSD2b2by
 myDJdaDY8u4UaJ5PXVhOSiFHuCs9iWOSSxnIifUl3Wu/dtqSPAf1yuu7a74apFmMrCS6
 FmobNGTI9Hk7wPe2Zyt21QsXTIy0iJxalSr5y3wY8GHoOUiN4Xj9pRZGCLRdQCsC/Zft
 FPenVYHTemODez0Xw2R6zYOCjqbauWUmB9WtfdGp8JlsEb6qf/QCWhWt8Om8sNkpFIFe
 cfxQ==
X-Gm-Message-State: AOAM530vFF8AZNQcd35fJsLfTt3t/X1sZA6pPZOoIOf+YoGg5YT6p5sY
 NnxqtOdxDJOpAqKYPKRR9HLNR9qhYxjljg==
X-Google-Smtp-Source: ABdhPJxvlTNd71h1AABym/mnT8C1tODj23hN+3316biJnfzhusk9F73xjCRpQOIscSin3WNw8DTYkw==
X-Received: by 2002:a05:6214:e4a:b0:449:99fd:bff7 with SMTP id
 o10-20020a0562140e4a00b0044999fdbff7mr20812396qvc.46.1651081324030; 
 Wed, 27 Apr 2022 10:42:04 -0700 (PDT)
Received: from washu-v4 (172-221-246-205.res.spectrum.com. [172.221.246.205])
 by smtp.gmail.com with ESMTPSA id
 c14-20020a05620a268e00b0069f99676880sm590974qkp.80.2022.04.27.10.42.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 27 Apr 2022 10:42:03 -0700 (PDT)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: Attila Lendvai <attila@HIDDEN>
Subject: Re: [bug#54906] [PATCH] build: go-build-system: Add support for
 #:skip-build? #t.
References: <20220413120052.25602-1-attila@HIDDEN>
Date: Wed, 27 Apr 2022 12:42:02 -0500
In-Reply-To: <20220413120052.25602-1-attila@HIDDEN> (Attila Lendvai's
 message of "Wed, 13 Apr 2022 14:00:42 +0200")
Message-ID: <87wnfamnit.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54906
Cc: 54906 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

(Please forgive me for using your patch to try out reviewing some Guix
patches! This is also my first time reviewing code over email, so feedback welcome!)

I don't have the context for why such a change is needed, but purely from a code perspective this LGTM.

Unfortunately I have no power to commit this.

-- 
Katherine




Information forwarded to guix-patches@HIDDEN:
bug#54906; Package guix-patches. Full text available.

Message received at 54906 <at> debbugs.gnu.org:


Received: (at 54906) by debbugs.gnu.org; 27 Apr 2022 16:33:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 12:33:29 2022
Received: from localhost ([127.0.0.1]:44057 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njkbZ-00039N-Lb
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2022 12:33:29 -0400
Received: from mail-4323.proton.ch ([185.70.43.23]:15388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <attila@HIDDEN>) id 1njkbV-000394-QH
 for 54906 <at> debbugs.gnu.org; Wed, 27 Apr 2022 12:33:28 -0400
Date: Wed, 27 Apr 2022 16:33:15 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lendvai.name;
 s=protonmail3; t=1651077197;
 bh=3FhKssX8f73X/Vz24tUIyIz2GKjFTs9jQNK9cKuhg8g=;
 h=Date:To:From:Reply-To:Subject:Message-ID:Feedback-ID:From:To:Cc:
 Date:Subject:Reply-To:Feedback-ID:Message-ID;
 b=lZhLcl6n0T1fmoH+Kh+lDIuPj1z573FtCn+TvuKKlf3ATtDIxWUAwb871vtBifNnu
 c/I9Kibv+i6UH28vLDiSwkqHhfMjGqJVV0bULpcftdgrT1ejP41gNHUzcA+cFru+dg
 UxFyh4u4MITXcB91xG8HgBSDK9jjbia4y9Abwo8mm9WJ0w/Det7dquJxgj7lGxvkti
 rM+6+lt2OFN1TB+RfU1VzNFle8PTM6GuzXaeeNCVTWfhC7JGtVRxcf14mm6eiEi7pL
 T5FRWWGpbL5MeOjMPOCcfnFjF93/VuH1u3vZkyT8wJznX9YVdx9+4lxgNcCiEJpa/h
 vvR1C7KVEasLw==
To: "54906 <at> debbugs.gnu.org" <54906 <at> debbugs.gnu.org>
From: Attila Lendvai <attila@HIDDEN>
Subject: ping
Message-ID: <_mgJPB2NBxhL0YK6je7jMzFddB7iJ6qTT9wscY74QlG6Nip6PT8hHyEclU_omg6XWsx-opE5fCSeAzKQr71iTynqFguY6f2GsUWYmCD8p-s=@lendvai.name>
Feedback-ID: 28384833:user:proton
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54906
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Attila Lendvai <attila@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

kindly pinging the involved parties, because i have some extensive
work on the golang importer(*) that depends on this, or at least on
the decision whether this will be merged or not.

the longer those commits are sitting on my side, the higher the chance
of a commit to master that will lead to a painful merge session...

https://github.com/attila-lendvai-patches/guix/commits/import

--
=E2=80=A2 attila lendvai
=E2=80=A2 PGP: 963F 5D5F 45C7 DFCD 0A39
--
        Every task involves constraint,
      Solve the thing without complaint;
       There are magic links and chains
       Forged to loose our rigid brains.
   Structures, strictures, though they bind,
         Strangely liberate the mind.





Information forwarded to guix-patches@HIDDEN:
bug#54906; Package guix-patches. Full text available.

Message received at 54906 <at> debbugs.gnu.org:


Received: (at 54906) by debbugs.gnu.org; 14 Apr 2022 10:42:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 14 06:42:02 2022
Received: from localhost ([127.0.0.1]:55320 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1newvK-0004sV-1z
	for submit <at> debbugs.gnu.org; Thu, 14 Apr 2022 06:42:02 -0400
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1newvI-0004s4-7H
 for 54906 <at> debbugs.gnu.org; Thu, 14 Apr 2022 06:42:00 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1649932918; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=V/O6I7JUnv1rcat58iuNtH7D14Kp1V45sWCaUStrrbR6mJqc1NJeOHdR5PHfw5Wt3fi3hbRQN5zbj3JV+IgfSYL2LcztwC9oQ3389TOxJGBWxtkmqKYy6UpqRm7qHwcaNAiL/mDCt01Uo3z0nn72ElDiSutFmSN/PVvThjDm1cw=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1649932918;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:MIME-Version:Message-ID:Subject:To;
 bh=6bvFVG89dAkp+pXEr2+hs+LlHJpi5b++oewW5cKM3tQ=; 
 b=Glzt5oGBCuuEdTVvJEaLNRpgDGxuo4qfwtfwamxmtqeoew45xmg7OpxCZ5Pv85/R1sKT30UpSWvBSh661QJne+oGftHguK4R/HO0XulnX5odaWnstQHk0pi9C+BAEg+KFiOh5hBW8vuK4lZeoks79ryqpvXGhjJFnde7K8IhafE=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1649932918; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=From:From:To:To:Cc:Cc:Subject:Subject:Date:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding:Message-Id:Reply-To;
 bh=6bvFVG89dAkp+pXEr2+hs+LlHJpi5b++oewW5cKM3tQ=;
 b=Tt6JOmPkbaZ+YTaShvFC2oGoNsKVwO7OMxTUVSU9/SwhpBx4ZIcX5qDQfNHwk7m8
 IgsutQndSBTZi8fXARAtSD+OgHZnrf3h6QeNxThr2lRHZTb7zFUDvq2gMJIKhgSBjWB
 NKwJwCBK6oriVMQqChtZUl8w58L9VX5vfH8c6Rb0=
Received: from localhost (152-108-142-46.pool.kielnet.net [46.142.108.152]) by
 mx.zohomail.com with SMTPS id 1649932912560928.5725426297323;
 Thu, 14 Apr 2022 03:41:52 -0700 (PDT)
User-agent: mu4e 1.6.10; emacs 28.0.50
From: Ricardo Wurmus <rekado@HIDDEN>
To: 54906 <at> debbugs.gnu.org
Subject: [PATCH] build: go-build-system: Add support for #:skip-build? #t.
Date: Thu, 14 Apr 2022 12:38:56 +0200
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Message-ID: <87mtgovtea.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54906
Cc: Sarah Morgensen <iskarian@HIDDEN>, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thanks for the patch!

I=E2=80=99m not qualified to evaluate this, so I Cc=E2=80=99d Sarah and Leo=
 who have
previously worked on the go-build-system.

@Sarah and @Leo: Could you please comment on the issue at
https://issues.guix.gnu.org/54906?

--=20
Ricardo




Information forwarded to guix-patches@HIDDEN:
bug#54906; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Apr 2022 12:02:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 13 08:02:09 2022
Received: from localhost ([127.0.0.1]:51916 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nebhJ-0005nd-9d
	for submit <at> debbugs.gnu.org; Wed, 13 Apr 2022 08:02:09 -0400
Received: from lists.gnu.org ([209.51.188.17]:58252)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <attila.lendvai@HIDDEN>) id 1nebhG-0005lX-V8
 for submit <at> debbugs.gnu.org; Wed, 13 Apr 2022 08:02:07 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50100)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <attila.lendvai@HIDDEN>)
 id 1nebhG-0003dj-Mk
 for guix-patches@HIDDEN; Wed, 13 Apr 2022 08:02:06 -0400
Received: from mail-ed1-x52d.google.com ([2a00:1450:4864:20::52d]:41902)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <attila.lendvai@HIDDEN>)
 id 1nebhB-0007Px-Ol
 for guix-patches@HIDDEN; Wed, 13 Apr 2022 08:02:03 -0400
Received: by mail-ed1-x52d.google.com with SMTP id c6so2063688edn.8
 for <guix-patches@HIDDEN>; Wed, 13 Apr 2022 05:02:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=JeSI6fuPGKZJDCgIekHd9o7xcsKQGehtEk2/PFCu+/o=;
 b=TI5P91nbtBSE1POLU3JkM4OWT1h9JZDGeORLeC9K/7rafms0k4EWB4skynDnrDp1ic
 C6mUX/KGLUXwyCwy/AMJkc8lk6boE9c45YU/g0O5wdE08f+ZkyEdlolRHjVmbaKhIVta
 HZrRg9A0AkKs45aYzjkXJpzozxlVQlHoW4inL/DPlnwKJejp292xtdi1qLHOsBiNOWIq
 HEwosrrsC2MRi/EgkUFweCMFcVQOtppXdnpfkwauDbqnPFqgEgVCglGLQY5WqWzY1D0K
 Hf0/xWDMdRSonB4VZ2GV0QzpGsd/VLNR6UzIspDSxuvNOL2GsYi0v5taHjiOeIXKWxmc
 mb/w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:from:to:cc:subject:date:message-id
 :mime-version:content-transfer-encoding;
 bh=JeSI6fuPGKZJDCgIekHd9o7xcsKQGehtEk2/PFCu+/o=;
 b=DosXvzd/8EISKGU1KOjU0u3XgKdIyWVQs4/pb74jKtExbY2rioSFmUSjuZ6UKuhNvv
 vRlZIwNBVx68s6gTS7uc9umQn0SS8bCr0Gpa4ejj9bycO3T8tR93wzWkf2qHdIlwEeEy
 cfbteLIS/dc/orUnesTWQd50DbyodNKgl4oN+nBkiadtNIHQ3pYTbrSIxIxtilb02a3I
 djrmFw3exTefLicBQzwk213cPkqP2vwk/HzE95drUKzgmbA8DW/7FGS5CgUX3iQShqI1
 7vZBkJ6SlAxnm7/9E3cu3niPsaNwj4C6EN8GTXdBjHC2QE8pRfg82oNtZvDIq7AsH4XO
 QF4Q==
X-Gm-Message-State: AOAM5330cuI/9D1J/vyo1Pn9oTYxBRGQoY/9lK0NW8xJG/C5MySHQsWH
 5lHpM+OeUa6ej0YQMXAvozvQAqRcfM0=
X-Google-Smtp-Source: ABdhPJy4qSwP381G/TclHJCqfLoiB2X0LOvfPHHJsC/sxkSbB/jzvvDpvrydhbYaDMKL+GEd6kaVyA==
X-Received: by 2002:a05:6402:f1c:b0:41d:8bc7:cd26 with SMTP id
 i28-20020a0564020f1c00b0041d8bc7cd26mr9938368eda.47.1649851319669; 
 Wed, 13 Apr 2022 05:01:59 -0700 (PDT)
Received: from lelap.local (catv-89-132-245-188.catv.fixed.vodafone.hu.
 [89.132.245.188]) by smtp.gmail.com with ESMTPSA id
 d19-20020a170906c21300b006e7f0730353sm11019882ejz.101.2022.04.13.05.01.58
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 13 Apr 2022 05:01:58 -0700 (PDT)
From: Attila Lendvai <attila@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] build: go-build-system: Add support for #:skip-build? #t.
Date: Wed, 13 Apr 2022 14:00:42 +0200
Message-Id: <20220413120052.25602-1-attila@HIDDEN>
X-Mailer: git-send-email 2.35.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2a00:1450:4864:20::52d;
 envelope-from=attila.lendvai@HIDDEN; helo=mail-ed1-x52d.google.com
X-Spam_score_int: -14
X-Spam_score: -1.5
X-Spam_bar: -
X-Spam_report: (-1.5 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FORGED_FROMDOMAIN=0.249,
 FREEMAIL_FROM=0.001, HEADER_FROM_DIFFERENT_DOMAINS=0.249,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
Cc: Attila Lendvai <attila@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

This mimics the same feature of the cargo-build-system.

* guix/build-system/go.scm (go-build): Add skip-build? keyword param and
propagate it.
* guix/build/go-build-system.scm (build): Add skip-build? keyword param.
---
 guix/build-system/go.scm       |  4 +++-
 guix/build/go-build-system.scm | 31 ++++++++++++++++---------------
 2 files changed, 19 insertions(+), 16 deletions(-)

diff --git a/guix/build-system/go.scm b/guix/build-system/go.scm
index 5e0e5bbad3..6bcb3656be 100644
--- a/guix/build-system/go.scm
+++ b/guix/build-system/go.scm
@@ -175,6 +175,7 @@ (define* (go-build name inputs
                    (import-path "")
                    (unpack-path "")
                    (build-flags ''())
+                   (skip-build? #f)
                    (tests? #t)
                    (allow-go-reference? #f)
                    (system (%current-system))
@@ -205,7 +206,8 @@ (define builder
                     #:import-path #$import-path
                     #:unpack-path #$unpack-path
                     #:build-flags #$build-flags
-                    #:tests? #$tests?
+                    #:skip-build? #$skip-build?
+                    #:tests? #$(and tests? (not skip-build?))
                     #:allow-go-reference? #$allow-go-reference?
                     #:inputs #$(input-tuples->gexp inputs)))))
 
diff --git a/guix/build/go-build-system.scm b/guix/build/go-build-system.scm
index 7f25e05d0d..637d66a6f1 100644
--- a/guix/build/go-build-system.scm
+++ b/guix/build/go-build-system.scm
@@ -254,22 +254,23 @@ (define (go-inputs inputs)
                 (_ #f))
               inputs))))
 
-(define* (build #:key import-path build-flags #:allow-other-keys)
+(define* (build #:key skip-build? import-path build-flags #:allow-other-keys)
   "Build the package named by IMPORT-PATH."
-  (with-throw-handler
-    #t
-    (lambda _
-      (apply invoke "go" "install"
-              "-v" ; print the name of packages as they are compiled
-              "-x" ; print each command as it is invoked
-              ;; Respectively, strip the symbol table and debug
-              ;; information, and the DWARF symbol table.
-              "-ldflags=-s -w"
-              `(,@build-flags ,import-path)))
-    (lambda (key . args)
-      (display (string-append "Building '" import-path "' failed.\n"
-                              "Here are the results of `go env`:\n"))
-      (invoke "go" "env"))))
+  (or skip-build?
+      (with-throw-handler
+        #t
+        (lambda _
+          (apply invoke "go" "install"
+                 "-v"        ; print the name of packages as they are compiled
+                 "-x"        ; print each command as it is invoked
+                 ;; Respectively, strip the symbol table and debug
+                 ;; information, and the DWARF symbol table.
+                 "-ldflags=-s -w"
+                 `(,@build-flags ,import-path)))
+        (lambda (key . args)
+          (display (string-append "Building '" import-path "' failed.\n"
+                                  "Here are the results of `go env`:\n"))
+          (invoke "go" "env")))))
 
 ;; Can this also install commands???
 (define* (check #:key tests? import-path #:allow-other-keys)
-- 
2.35.1





Acknowledgement sent to Attila Lendvai <attila@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#54906; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 28 Apr 2022 12:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.